#include "burnerrordialog.h"
#include "cdburner.h"

extern CDburner *burnprocess;

BasicDialog* burnerrordialog(){
  BasicDialog *burnerrordialog = new BasicDialog("Error!", b_both, c_closenot, true, false);
  burnerrordialog->createDialog(GTK_STOCK_DIALOG_ERROR, 
				" There was an error with a step \n in the burn process! ", 
				GTK_STOCK_CANCEL, "_Skip?",
				GTK_STOCK_REFRESH, "_Retry?");
  burnerrordialog->connectSignal(burnerrordialog->dialog_button1, "clicked",
				 G_CALLBACK(on_skip_button_clicked));
  burnerrordialog->connectSignal(burnerrordialog->dialog_button2, "clicked",
				 G_CALLBACK(on_retry_button_clicked));
  burnerrordialog->showDialog();
  return burnerrordialog;
}

void on_skip_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data;
  burnprocess->burnProcess(burnprocess->stateOnError);
  cout << "skip\n";
}


void on_retry_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data;
  burnprocess->burnProcess(-1);
  cout << "retry\n";
}
