#include "cancelburndialog.h"
#include "cdburner.h"

extern CDburner *burnprocess;

BasicDialog* cancelburndialog(){
  BasicDialog *cancelburndialog = new BasicDialog("Cancel Burn Process?", b_both, c_none, true, false);
  cancelburndialog->createDialog(GTK_STOCK_CDROM, " Really cancel burn process? \n This may lockup your drive! ", 
				 GTK_STOCK_CANCEL, "_Cancel",
				 GTK_STOCK_OK, "_Continue");    
  cancelburndialog->connectSignal(cancelburndialog->dialog_button1, "clicked", 
				  G_CALLBACK(on_cancel_button_clicked));
  cancelburndialog->connectSignal(cancelburndialog->dialog_button2, "clicked", 
				  G_CALLBACK(on_continue_button_clicked));
  cancelburndialog->connectSignal(cancelburndialog->basicdialog, "delete-event",
				  G_CALLBACK(on_dialog_delete_event));
  cancelburndialog->showDialog();
  
  return cancelburndialog;
}


void on_dialog_delete_event(GtkWidget *dialog, GdkEvent *event, gpointer user_data){
  burnprocess->bCancel = false;
  delete (BasicDialog*)user_data;
}

void on_cancel_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data;
  burnprocess->burnProcess(s_cancel);
}

void on_continue_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data;  
  burnprocess->bCancel = false;     
  if(burnprocess->bInsertdisc){ 
    burnprocess->requireDisc(); 
  }
}

