#include "dowesavedialog.h"
#include "project.h"
#include "openprojectdialog.h"
#include "newprojectdialog.h"


extern Project *project;

BasicDialog* dowesavedialog(){
  BasicDialog *dowesavedialog = new BasicDialog("Save Project?", b_both, c_closenot, true, false);
  dowesavedialog->requestSize(300,100);
  dowesavedialog->createDialog("none", 
				" Do you wish to save current project? ", 
				GTK_STOCK_CANCEL, "No _Discard",
				GTK_STOCK_SAVE, "Yes _Save");
  dowesavedialog->connectSignal(dowesavedialog->dialog_button1, "clicked",
				 G_CALLBACK(on_discard_button_clicked));
  dowesavedialog->connectSignal(dowesavedialog->dialog_button2, "clicked",
				 G_CALLBACK(on_save_button_clicked));
  dowesavedialog->showDialog();
  return dowesavedialog;
}

void on_discard_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data; 

  if(project){
    nextProjectState();
  }
}

void on_save_button_clicked(GtkButton *button, gpointer user_data){
  delete (BasicDialog*)user_data; 

  if(project){
    if(!project->save()){
      nextProjectState();
    }
  }
}

void nextProjectState(){
  if(project->nextProjectState == 1){
    newprojectdialog();
  }
  
  if(project->nextProjectState == 2){
    openprojectdialog();
  }
}
