#ifndef SETUPGUI_H
#define SETUPGUI_H

#include <string>
#include <iostream>
#include <gtk/gtk.h>

using namespace std;

class SetupGUI{
 public:
  SetupGUI();
  ~SetupGUI();
  GtkWidget *setupdialog;
  GtkWidget *setup_vbox;
  GtkWidget *cdr_frame;
  GtkWidget *cdr_vbox;
  GtkWidget *cdr_path_hbox;
  GtkWidget *cdr_path_label;
  GtkWidget *cdr_path_entry;
  GtkWidget *cdr_opt_hbox;
  GtkWidget *dev_label;
  GtkWidget *cdr_dev_entry;
  GtkWidget *cdr_eject_checkbutton;
  GtkWidget *cdr_blank_checkbutton;
  GtkWidget *cdr_burnproff_checkbutton;
  GtkWidget *cdr_dao_checkbutton;
  GtkWidget *cdr_label;
  GtkWidget *mkisofs_frame;
  GtkWidget *mkisofs_vbox;
  GtkWidget *mkiso_path_hbox;
  GtkWidget *mkiso_path_label;
  GtkWidget *mkiso_path_entry;
  GtkWidget *mkiso_tmp_hbox;
  GtkWidget *mkiso_tmp_label;
  GtkWidget *mkiso_tmp_entry;
  GtkWidget *mkiso_rr_checkbutton;
  GtkWidget *mkiso_jl_checkbutton;
  GtkWidget *mkiso_31c_checkbutton;
  GtkWidget *mkiso_ap_checkbutton;
  GtkWidget *mkiso_jll_checkbutton;
  GtkWidget *mkisofs_label;
  GtkWidget *burnbot_frame;
  GtkWidget *burnbot_vbox;
  GtkWidget *burnbot_checkbutton;
  GtkWidget *bbot_exe_hbox;
  GtkWidget *burnbot_exe_label;
  GtkWidget *burnbot_exe_entry;
  GtkWidget *bbot_load_hbox;
  GtkWidget *burnbot_load_label;
  GtkWidget *burnbot_load_entry;
  GtkWidget *bbot_unload_hbox;
  GtkWidget *burnbot_unload_label;
  GtkWidget *burnbot_unload_entry;
  GtkWidget *burnbot_label;
  GtkWidget *buttom_hbox;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton;
  GtkWidget *ok_alignment;
  GtkWidget *ok_hbox;
  GtkWidget *applyimage;
  GtkWidget *apply_label;
  GtkWidget* setupDialog();
};

void on_setup_cancel_clicked(GtkButton *button, gpointer user_data);
void on_setup_ok_clicked(GtkButton *button, gpointer user_data);
void on_burnbot_checkbutton_toggled(GtkToggleButton *togglebutton, gpointer user_data);
gboolean on_setupdialog_delete_event(GtkWidget *widget, GdkEvent *event, gpointer user_data);
  
#endif
