#include "quitdialog.h"
#include "project.h"
#include "setup.h"

extern Project *project;
extern Setup *setup;

BasicDialog* quitdialog(){
  BasicDialog *quitdialog = new BasicDialog("Quit Disc-O-Matic", b_both, c_close, false, false);
  quitdialog->requestSize(300,100);
  quitdialog->createDialog("none", "Are you sure you want to quit?", 
			   GTK_STOCK_CANCEL, "_Cancel",
			   GTK_STOCK_QUIT, "_Quit");    
  quitdialog->connectSignal(quitdialog->dialog_button1, "clicked", G_CALLBACK(button_delete));
  quitdialog->connectSignal(quitdialog->dialog_button2, "clicked", G_CALLBACK(on_quit_button_clicked));
  quitdialog->showDialog();
  return quitdialog;
}

void on_quit_button_clicked(GtkButton *button, gpointer user_data)
{
  if(project){
    delete project;
  }
  delete setup;
  delete (BasicDialog*)user_data; 
  gtk_main_quit();
}
