#include "saveprojectasdialog.h"
#include <sys/stat.h>
#include "project.h"
#include "dowesavedialog.h"

extern Project *project;

FileDialog* saveprojectasdialog(string filename){
  FileDialog* saveprojectasdialog = new FileDialog();
  saveprojectasdialog->createDialog("Save Project As", false);
  GtkWidget* saveasdialog = saveprojectasdialog->filedialog;
  gtk_file_selection_set_filename((GtkFileSelection*)saveasdialog, filename.c_str());
  
  saveprojectasdialog->connectSignal(saveprojectasdialog->cancel_button, 
				   "clicked", G_CALLBACK(on_saveprojectas_cancel_clicked));
  saveprojectasdialog->connectSignal(saveprojectasdialog->ok_button, 
				  "clicked", G_CALLBACK(on_saveprojectas_ok_clicked));
  saveprojectasdialog->showDialog();
  return saveprojectasdialog;
}


void on_saveprojectas_ok_clicked (GtkButton *button, gpointer user_data){
  
  GtkWidget *saveasdia = ((FileDialog*)user_data)->filedialog;
  project->projectFileName = (char*)gtk_file_selection_get_filename((GtkFileSelection*)saveasdia);

  delete (FileDialog*)user_data;

  project->save();   
  nextProjectState();
}

void on_saveprojectas_cancel_clicked(GtkButton *button, gpointer user_data){
  if(project){
    project->nextProjectState = 0;
  }
  
  delete (FileDialog*)user_data;  
}
